#ifndef IMAGEGALLERY_H
#define IMAGEGALLERY_H

#include <QWidget>
#include <QScrollArea>
#include <QGridLayout>
#include <QLabel>
#include <QList>
#include <QDir>
#include <QGridLayout>
#include <QScrollArea>
class ImageGallery : public QWidget
{
    Q_OBJECT

public:
    explicit ImageGallery(QWidget *parent = nullptr);
    void addImage(const QString &imagePath);
    void addImagesFromDirectory(QDir &directory);
    void extracted(QLayoutItem *&item);
    void setColumns(int columns);

private:
    QScrollArea *scrollArea;
    QWidget *scrollWidget;
    QGridLayout *gridLayout;
    int currentColumnCount;
};

#endif // IMAGEGALLERY_H
